Bug 12823 - Add some hints for Host, Database and SRU search fields mappings
Summary: Add some hints for Host, Database and SRU search fields mappings
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Z39.50 / SRU / OpenSearch Servers (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 6536
Blocks:
  Show dependency treegraph
 
Reported: 2014-08-26 08:31 UTC by Marcel de Rooy
Modified: 2015-12-03 22:02 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 12823: Add some hints for Host and Database when hovering their labels (3.59 KB, patch)
2014-08-26 08:34 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 12823: Hint to define the SRU search field mappings (1.41 KB, patch)
2014-08-26 09:16 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 12823: Hint to define the SRU search field mappings (1.56 KB, patch)
2014-08-26 09:17 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 12823: Hint to define the SRU search field mappings (1.56 KB, patch)
2014-08-26 09:18 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 12823: Add some hints for Host and Database when hovering their labels (3.58 KB, patch)
2014-08-28 07:12 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 12823: Hint to define the SRU search field mappings (1.56 KB, patch)
2014-08-28 07:12 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 12823: Add some hints for Host and Database (2.76 KB, patch)
2014-11-27 09:02 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 12823: Alert about defining the SRU search field mappings (1.57 KB, patch)
2014-11-27 09:02 UTC, Marcel de Rooy
Details | Diff | Splinter Review
[SIGNED OFF] Bug 12823: Add some hints for Host and Database (2.80 KB, patch)
2014-12-26 21:55 UTC, Nick Clemens
Details | Diff | Splinter Review
[SIGNED OFF] Bug 12823: Alert about defining the SRU search field mappings (1.60 KB, patch)
2014-12-26 21:55 UTC, Nick Clemens
Details | Diff | Splinter Review
[PASSED QA] Bug 12823: Add some hints for Host and Database (2.85 KB, patch)
2014-12-27 10:08 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 12823: Alert about defining the SRU search field mappings (1.65 KB, patch)
2014-12-27 10:09 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2014-08-26 08:31:03 UTC
This report deals with a specific QA remark on point 6536 ("Database field not obvious for SRU servers").
Since this could be done in various ways, I prefer to put it under a separate report.
Comment 1 Marcel de Rooy 2014-08-26 08:34:02 UTC Comment hidden (obsolete)
Comment 2 Marcel de Rooy 2014-08-26 09:14:12 UTC
I am extending this report with QA remark 3 on bug 6536 (Hint to define the SRU search field mappings).
The proposed path will warn a user that saves a SRU server without those mappings.
Comment 3 Marcel de Rooy 2014-08-26 09:16:34 UTC Comment hidden (obsolete)
Comment 4 Marcel de Rooy 2014-08-26 09:17:52 UTC Comment hidden (obsolete)
Comment 5 Marcel de Rooy 2014-08-26 09:18:45 UTC Comment hidden (obsolete)
Comment 6 Marcel de Rooy 2014-08-27 15:33:39 UTC
Follow-up coming for qa tools warnings.
Comment 7 Marcel de Rooy 2014-08-28 07:12:48 UTC Comment hidden (obsolete)
Comment 8 Marcel de Rooy 2014-08-28 07:12:52 UTC Comment hidden (obsolete)
Comment 9 Marcel de Rooy 2014-08-28 07:13:09 UTC
(In reply to M. de Rooy from comment #6)
> Follow-up coming for qa tools warnings.
Resolved.
Comment 10 Owen Leonard 2014-11-20 18:53:46 UTC
I think a more standard and more usable solution for the hints would be to use <div class="hint"></div>. See memberentrygen.tt for an example.
Comment 11 Marcel de Rooy 2014-11-27 09:02:16 UTC Comment hidden (obsolete)
Comment 12 Marcel de Rooy 2014-11-27 09:02:21 UTC Comment hidden (obsolete)
Comment 13 Marcel de Rooy 2014-11-27 09:03:02 UTC
(In reply to Owen Leonard from comment #10)
> I think a more standard and more usable solution for the hints would be to
> use <div class="hint"></div>. See memberentrygen.tt for an example.

Thanks for your feedback. Simplified the patch.
Comment 14 Nick Clemens 2014-12-26 21:55:45 UTC Comment hidden (obsolete)
Comment 15 Nick Clemens 2014-12-26 21:55:54 UTC Comment hidden (obsolete)
Comment 16 Katrin Fischer 2014-12-27 10:08:07 UTC
Created attachment 34695 [details] [review]
[PASSED QA] Bug 12823: Add some hints for Host and Database

When adding or editing a SRU server, this patch adds a hint, positioned
under the Hostname field.
It also moves similar information for SRU options and XSLT into hints.

Test plan:
Add/Edit SRU server. Look at Hostname, SRU options and XSLT.
Add/Edit Z39.50 server. No hints for Hostname and SRU options.

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 17 Katrin Fischer 2014-12-27 10:09:09 UTC
Created attachment 34696 [details] [review]
[PASSED QA] Bug 12823: Alert about defining the SRU search field mappings

This is a follow-up for report 6536 (SRU search targets).
It will alert a user that saves a SRU server without field mappings.

Test plan:
Add a Z39.50 server. No confirm message.
Add a SRU server without field mappings. Cancel the confirm.
Add one field mapping. No confirm message.

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 18 Tomás Cohen Arazi 2014-12-31 19:55:22 UTC
Patches pushed to master.

Thanks Marcel!
Comment 19 Chris Cormack 2015-01-03 23:29:36 UTC
Pushed to 3.18.x will be in 3.18.3
Comment 20 Mason James 2015-01-16 20:51:34 UTC
Pushed to 3.16.x, will be in 3.16.7
Comment 21 Mason James 2015-02-25 11:12:36 UTC
(In reply to Mason James from comment #20)
> Pushed to 3.16.x, will be in 3.16.7

Oops, I accidentally introduced a merge bug in the .tt file, with this patchset

I'm going to revert this for the 3.16.8 release